﻿@model JavnaNabava.ViewModels.NatjecajKriterijOcjenjivanjaTableViewModel

@{
    ViewData["Title"] = "NatjecajKriterijOcjenjivanja";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Kriterij ocjenjivanja</h1>


<a asp-action="Create">Stvori novi kriterij ocjenjivanja</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped" table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">Id</a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Evidencijski broj</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">Opis</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Ponder</a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var kriterij in Model.NatjecajKriterij)
        {
        <tr>
            <td class="text-left">@kriterij.Id</td>
            <td class="text-left">@kriterij.EvidencijskiBr</td>
            <td class="text-left">@kriterij.Opis</td>
            <td class="text-left">@kriterij.Ponder</td>
            <td class="btn-group">
                <a asp-action="Edit"
                   asp-route-Id="@kriterij.Id"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending"
                   class="btn btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>

                <form asp-action="Delete" method="POST"
                      asp-route-page="@Model.PagingInfo.CurrentPage"
                      asp-route-sort="@Model.PagingInfo.Sort"
                      asp-route-ascending="@Model.PagingInfo.Ascending">
                    <input type="hidden" name="Id" value="@kriterij.Id" />
                    <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </form>
            </td>
        </tr>
        }
    </tbody>
</table>